Bug 293340 - Mouse comes from other edge when dragging from image to folder list
Summary: Mouse comes from other edge when dragging from image to folder list
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: 2.8
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
: 311890 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-02-05 03:17 UTC by Joe Biden
Modified: 2013-01-28 17:56 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Biden 2012-02-05 03:17:34 UTC
Version:           0.8.0 (using KDE 4.8.0) 
OS:                Linux

Steps to reproduce:

1.) In Browse mode, click on image so it fills view window
2.) Click and attempt to drag that image to sidebar with folders showing
3.) When  the drag hits the folder list, the mouse cursor will disappear and appear at the right edge of the screen, moving to the left.

This is weird, and a bug. All I wanted to do was drag and drop an image to a folder to move it.

Reproducible: Always

Steps to Reproduce:
Steps to reproduce:

1.) In Browse mode, click on image so it fills view window
2.) Click and attempt to drag that image to sidebar with folders showing
3.) When  the drag hits the folder list, the mouse cursor will disappear and appear at the right edge of the screen, moving to the left.


Actual Results:  
Steps to reproduce:

1.) In Browse mode, click on image so it fills view window
2.) Click and attempt to drag that image to sidebar with folders showing
3.) When  the drag hits the folder list, the mouse cursor will disappear and appear at the right edge of the screen, moving to the left.


Expected Results:  
Image would be deposited in folder dragged to.

OS: Linux (x86_64) release 3.2.2
Compiler: gcc
Comment 1 Ezio Vergine 2012-04-10 20:06:00 UTC
I think that the correct behavior should be this:

1) if image is enlarged, drag function is pan
2) if image is smaller than window, drag function is drag & drop
Comment 2 Benni Hill 2012-12-19 18:35:45 UTC
*** Bug 311890 has been marked as a duplicate of this bug. ***
Comment 3 Benni Hill 2013-01-04 15:31:50 UTC
Git commit bfac8b3731b27dcb45a8542c990251935960c7d4 by Benjamin Löwe.
Committed on 28/12/2012 at 16:37.
Pushed by bennihill into branch 'image-panning-improvements'.

Improved panning of zoomed images:
- Panning in images is faster now
- When panning, the mouse pointer becomes invisible. After panning
  it reappears at the position where panning started.
- Don't switch to panning mode when whole image is visible. Instead
  the image could be dragged and dropped somewhere (not implemented
  yet).

See review request for remaining issues.

REVIEW: 107985

M  +25   -32   lib/documentview/abstractimageview.cpp

http://commits.kde.org/gwenview/bfac8b3731b27dcb45a8542c990251935960c7d4
Comment 4 Benni Hill 2013-01-28 17:56:42 UTC
Will be fixed in 4.11.0.